View Issue Details

IDProjectCategoryView StatusLast Update
0028613LazarusIDEpublic2015-09-09 16:29
ReporterCudaText man Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinux x64 ubuntu 
Product Version1.5 (SVN) 
Summary0028613: Desktop manager toolbtn - AV
Descriptioni made two desktop items. One is - all editors hidden, message panel horiz at bottom. other - all editors hidden, messg panel vertical at right.
I opened project ATSynedit demo. no editors open

now i call toolbtn- call desktops menu - any of these - see AV, 2 times. or 1 time.

TagsNo tags attached.
Fixed in Revisionr49793
LazTarget-
Widgetset
Attached Files

Activities

CudaText man

2015-09-02 15:26

reporter  

environmentoptions.xml (58,690 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<CONFIG>
  <EnvironmentOptions>
    <Version Value="109" Lazarus="1.5"/>
    <FormEditor GuideLineColorLeftTop="16711680" GuideLineColorRightBottom="32768">
      <Rubberband>
        <SelectionColor Value="8388608"/>
        <CreationColor Value="128"/>
      </Rubberband>
    </FormEditor>
    <LazarusDirectory Value="../lazarus">
      <History Count="3">
        <Item1 Value="../lazarus/"/>
        <Item2 Value="/usr/share/lazarus/1.4.0/"/>
        <Item3 Value="/usr/lib/lazarus/"/>
      </History>
    </LazarusDirectory>
    <CompilerFilename Value="/usr/bin/fpc">
      <History Count="4">
        <Item1 Value="/usr/local/bin/fpc"/>
        <Item2 Value="/usr/bin/fpc"/>
        <Item3 Value="/opt/fpc/fpc"/>
        <Item4 Value="$(CompPath)"/>
      </History>
    </CompilerFilename>
    <FPCSourceDirectory Value="/usr/share/fpcsrc/$(FPCVER)">
      <History Count="3">
        <Item1 Value="/usr/share/fpcsrc/$(FPCVER)"/>
        <Item2 Value="/usr/share/fpcsrc/"/>
        <Item3 Value="/usr/share/fpcsrc/$(FPCVER)/"/>
      </History>
    </FPCSourceDirectory>
    <MakeFilename>
      <History Count="2">
        <Item1 Value="make"/>
        <Item2 Value="/usr/bin/make"/>
      </History>
    </MakeFilename>
    <TestBuildDirectory Value="~/tmp/">
      <History Count="3">
        <Item1 Value="~/tmp/"/>
        <Item2 Value="/tmp/"/>
        <Item3 Value="/var/tmp/"/>
      </History>
    </TestBuildDirectory>
    <CompilerMessagesFilename>
      <History Count="1">
        <Item2 Value="$(FPCSrcDir)/compiler/msg/errordu.msg"/>
        <Item1 Value="$(FPCSrcDir)/compiler/msg/errordu.msg"/>
      </History>
    </CompilerMessagesFilename>
    <LastCalledByLazarusFullPath Value="/home/user/lazarus/lazarus"/>
    <Build UseBuildModes="True"/>
    <BackupProjectFiles AdditionalExtension="bak" MaxCounter="9"/>
    <BackupOtherFiles AdditionalExtension="bak" MaxCounter="9"/>
    <Debugger Class="TGDBMIDebugger" EventLogLineLimit="100">
      <WatchesDlg ColumnNameWidth="-1" ColumnValueWidth="-1"/>
    </Debugger>
    <DebuggerFilename Value="gdb">
      <History Count="4">
        <Item1 Value="gdb"/>
        <Item2 Value="/usr/bin/gdb"/>
        <Item3 Value="/usr/local/bin/gdb"/>
        <Item4 Value="/opt/fpc/gdb"/>
      </History>
    </DebuggerFilename>
    <DebuggerOptions>
      <ShowStopMessage Value="False"/>
    </DebuggerOptions>
    <Recent AlreadyPopulated="True">
      <OpenFiles Count="10">
        <Item1 Value="/home/user/pas/synedit/app/demo_editor/formopt.pas"/>
        <Item2 Value="/home/user/pas/synedit/atsynedit/atstrings.pas"/>
        <Item3 Value="/home/user/pas/synedit/atsynedit/atsynedit_finder.pas"/>
        <Item4 Value="/home/user/pas/synedit/atsynedit/atsynedit.pas"/>
        <Item5 Value="/home/user/pas/synedit/app/demo_editor/formmain.pas"/>
        <Item6 Value="/home/user/pas/facil/SynFacilHighlighter.pas"/>
        <Item7 Value="/home/user/lazarus/lcl/lcltype.pp"/>
        <Item8 Value="/home/user/Downloads/src/Components/ColSpaces.pas"/>
        <Item9 Value="/home/user/Downloads/src/Components/FastDiv.pas"/>
        <Item10 Value="/home/user/Downloads/src/gfie.dpr"/>
      </OpenFiles>
      <ProjectFiles Max="10" Count="10">
        <Item1 Value="/home/user/pas/synedit/app/demo_editor/demo.lpi"/>
        <Item2 Value="/home/user/lazarus/ide/lazarus.lpi"/>
        <Item3 Value="/home/user/pas/facil/Speed_Test_Project/project1.lpi"/>
        <Item4 Value="/home/user/Downloads/src/gfie.lpi"/>
        <Item5 Value="/home/user/pas/facil/Sample_Project/project1.lpi"/>
        <Item6 Value="/home/user/pas/facil/_demoSynFacilonATSynEdit/demo/demo.lpi"/>
        <Item7 Value="/home/user/pas/ATSynEdit/app/demo_editor/demo.lpi"/>
        <Item8 Value="/home/user/pas/tst-mnu-check/project1.lpi"/>
        <Item9 Value="/home/user/pas/t-msg/project1.lpi"/>
        <Item10 Value="/home/user/pas/tst-calc/project1.lpi"/>
      </ProjectFiles>
      <PackageFiles Count="10">
        <Item1 Value="/home/user/pas/synedit/atsynedit/atsynedit_package.lpk"/>
        <Item2 Value="/home/user/Downloads/src/Components/gfcomp.lpk"/>
        <Item3 Value="/home/user/pas/ATSynEdit/atsynedit/atsynedit_package.lpk"/>
        <Item4 Value="/home/user/gaug/src/gauge_pkg.lpk"/>
        <Item5 Value="/home/user/cuda/synedit/atsynedit/atsynedit_package.lpk"/>
        <Item6 Value="/home/user/buttons/atbuttons/atbuttons_package.lpk"/>
        <Item7 Value="/home/user/gauge/src/gauge_pkg.lpk"/>
        <Item8 Value="/home/user/line/shapeline/shapeline_pkg.lpk"/>
        <Item9 Value="/home/user/synedit/atsynedit/atsynedit_package.lpk"/>
        <Item10 Value="/home/user/lazarus/components/mrumenu/lazmrumenu.lpk"/>
      </PackageFiles>
    </Recent>
    <ExternalTools Version="3"/>
    <OptionDialog>
      <Tree>
        <TEditorOptions>
          <TEditorMouseOptionsFrame Value="False"/>
        </TEditorOptions>
      </Tree>
    </OptionDialog>
    <AutoSave LastSavedProjectFile="/home/user/pas/synedit/app/demo_editor/demo.lpi"/>
  </EnvironmentOptions>
  <ObjectInspectorOptions DrawGridLines="False" ShowInfoBox="False" InfoBoxHeight="50">
    <Version Value="3"/>
    <Bounds>
      <PropertyPage SplitterX="165"/>
      <EventPage SplitterX="224"/>
      <RestrictedPage SplitterX="147"/>
    </Bounds>
  </ObjectInspectorOptions>
  <Desktop>
    <Desktop FormIdCount="53">
      <FormIdList a1="MainIDE" a2="MessagesView" a3="ObjectInspectorDlg" a4="SourceNotebook" a5="SearchResults" a6="CodeBrowser" a7="ComponentList" a8="PackageEditor_atsynedit_package" a9="ProjectInspector" a10="PackageEditor_gfComp" a11="PackageEditor_NewPackage" a12="PkgGraphExplorer" a13="PackageEditor_gauge_pkg" a14="AnchorEditor" a15="TabOrderEditor" a16="PackageEditor_atbuttons_package" a17="IDETodoWindow" a18="EditorFileManager" a19="PackageEditor_shapeline_pkg" a20="Assembler" a21="PackageEditor_lazmrumenu" a22="PackageEditor_LazOpenGLContext" a23="PackageEditor_SynEdit" a24="PackageEditor_DateTimeCtrls" a25="PackageEditor_line_pkg" a26="MacroListView" a27="JumpHistory" a28="IssueBrowser" a29="Watches" a30="PackageEditor_econtrol_package" a31="PackageEditor_python4lazarus_pkg" a32="PackageEditor_NewPackage2aabb" a33="PackageEditor_NewPackage2aa" a34="PackageEditor_NewPackage2" a35="PackageEditor_NewPackage1" a36="PackageEditor_NewPackage1a" a37="PseudoTerminal" a38="BreakPoints" a39="Locals" a40="CallStack" a41="EvaluateModify" a42="Registers" a43="DbgOutput" a44="Inspect" a45="DbgEvents" a46="Threads" a47="DbgHistory" a48="UnitDependencies" a49="CodeExplorerView" a50="FPDocEditor" a51="ClipBrdHistory" a52="TabOrderDialog" a53="PackageEditor_mmr"/>
    </Desktop>
    <MainIDE>
      <Caption Value="MainIDE"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="76" Top="56" Width="1200" Height="58"/>
      <WindowState Value="Normal"/>
      <Visible Value="True"/>
    </MainIDE>
    <ObjectInspectorDlg>
      <Caption Value="Object Inspector"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="65" Top="216" Width="382" Height="501"/>
      <WindowState Value="Normal"/>
    </ObjectInspectorDlg>
    <MessagesView>
      <Caption Value="Messages"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="221" Top="673" Width="1052" Height="67"/>
      <WindowState Value="Normal"/>
      <Visible Value="True"/>
    </MessagesView>
    <ComponentList>
      <Caption Value="Components"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="533" Top="178" Width="300" Height="467"/>
      <WindowState Value="Normal"/>
    </ComponentList>
    <PackageEditor_atsynedit_package>
      <Caption Value="Package atsynedit_package V1.0"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="451" Top="123" Width="464" Height="521"/>
      <WindowState Value="Normal"/>
    </PackageEditor_atsynedit_package>
    <SourceNotebook>
      <Caption Value="Source Editor"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="103" Top="270" Width="1263" Height="470"/>
      <WindowState Value="Normal"/>
    </SourceNotebook>
    <SearchResults>
      <Caption Value="Search Results"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="178" Top="356" Width="840" Height="443"/>
      <WindowState Value="Normal"/>
    </SearchResults>
    <ProjectInspector>
      <Caption Value="Project Inspector"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="286" Top="65" Width="300" Height="636"/>
      <WindowState Value="Normal"/>
    </ProjectInspector>
    <PackageEditor_gfComp>
      <Caption Value="Package gfComp V0.0"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
      <WindowState Value="Normal"/>
    </PackageEditor_gfComp>
    <PackageEditor_NewPackage>
      <Caption Value="Package NewPackage V0.0"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="709" Top="173" Width="464" Height="547"/>
      <WindowState Value="Normal"/>
    </PackageEditor_NewPackage>
    <PkgGraphExplorer>
      <Caption Value="Package Graph"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="254" Top="162" Width="675" Height="514"/>
      <WindowState Value="Normal"/>
    </PkgGraphExplorer>
    <CodeBrowser>
      <Caption Value="Code Browser"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="378" Top="177" Width="645" Height="563"/>
      <WindowState Value="Normal"/>
    </CodeBrowser>
    <PackageEditor_gauge_pkg>
      <Caption Value="Package gauge_pkg V1.0"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
      <WindowState Value="Normal"/>
    </PackageEditor_gauge_pkg>
    <AnchorEditor>
      <Caption Value="AnchorEditor"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="520" Top="88" Width="596" Height="297"/>
      <WindowState Value="Normal"/>
    </AnchorEditor>
    <TabOrderEditor>
      <Caption Value="Tab Order of IDEFPCInfoDialog"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="73" Top="70" Width="310" Height="374"/>
      <WindowState Value="Normal"/>
    </TabOrderEditor>
    <PackageEditor_atbuttons_package>
      <Caption Value="Package atbuttons_package V1.0"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
      <WindowState Value="Normal"/>
    </PackageEditor_atbuttons_package>
    <IDETodoWindow>
      <Caption Value="ToDo List"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="198" Top="213" Width="643" Height="300"/>
      <WindowState Value="Normal"/>
    </IDETodoWindow>
    <EditorFileManager>
      <Caption Value="Source Editor Window Manager"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="200" Top="200" Width="722" Height="380"/>
      <WindowState Value="Normal"/>
    </EditorFileManager>
    <PackageEditor_shapeline_pkg>
      <Caption Value="Package shapeline_pkg V1.0"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="453" Top="196" Width="464" Height="455"/>
      <WindowState Value="Normal"/>
    </PackageEditor_shapeline_pkg>
    <Assembler>
      <Caption Value="Assembler"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="222" Top="175" Width="884" Height="355"/>
      <WindowState Value="Normal"/>
    </Assembler>
    <PackageEditor_lazmrumenu>
      <Caption Value="Package lazmrumenu V1.0"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
      <WindowState Value="Normal"/>
    </PackageEditor_lazmrumenu>
    <PackageEditor_LazOpenGLContext>
      <Caption Value="Package LazOpenGLContext V0.0.1"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
      <WindowState Value="Normal"/>
    </PackageEditor_LazOpenGLContext>
    <PackageEditor_SynEdit>
      <Caption Value="Package SynEdit V1.0"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
      <WindowState Value="Normal"/>
    </PackageEditor_SynEdit>
    <PackageEditor_DateTimeCtrls>
      <Caption Value="Package DateTimeCtrls V1.5.1"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
      <WindowState Value="Normal"/>
    </PackageEditor_DateTimeCtrls>
    <PackageEditor_line_pkg>
      <Caption Value="Package line_pkg V0.0"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
      <WindowState Value="Normal"/>
    </PackageEditor_line_pkg>
    <MacroListView>
      <Caption Value="Editor macros"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="390" Top="249" Width="424" Height="390"/>
      <WindowState Value="Normal"/>
    </MacroListView>
    <JumpHistory>
      <Caption Value="Jump History"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="250" Top="250" Width="400" Height="426"/>
      <WindowState Value="Normal"/>
    </JumpHistory>
    <IssueBrowser>
      <Caption Value="Restriction Browser"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="164" Top="297" Width="674" Height="405"/>
      <WindowState Value="Normal"/>
    </IssueBrowser>
    <Watches>
      <Caption Value="Watch List"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="321" Top="437" Width="500" Height="200"/>
      <WindowState Value="Normal"/>
      <Divider Count="2">
        <Item0 ID="ColumnWatchExpr" Size="200"/>
        <Item1 ID="ColumnWatchValue" Size="298"/>
      </Divider>
    </Watches>
    <PackageEditor_econtrol_package>
      <Caption Value="Package econtrol_package V1.0"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
      <WindowState Value="Normal"/>
    </PackageEditor_econtrol_package>
    <PackageEditor_python4lazarus_pkg>
      <Caption Value="Package python4lazarus_pkg V1.0"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="385" Top="119" Width="596" Height="529"/>
      <WindowState Value="Normal"/>
    </PackageEditor_python4lazarus_pkg>
    <PackageEditor_NewPackage2aabb>
      <Caption Value="Package NewPackage2aabb V0.0"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
      <WindowState Value="Normal"/>
    </PackageEditor_NewPackage2aabb>
    <PackageEditor_NewPackage2aa>
      <Caption Value="Package NewPackage2aa V0.0"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="729" Top="159" Width="464" Height="455"/>
      <WindowState Value="Normal"/>
    </PackageEditor_NewPackage2aa>
    <PackageEditor_NewPackage2>
      <Caption Value="Package NewPackage2 V0.0"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="615" Top="185" Width="464" Height="455"/>
      <WindowState Value="Normal"/>
    </PackageEditor_NewPackage2>
    <PackageEditor_NewPackage1>
      <Caption Value="Package NewPackage1 V0.0"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
      <WindowState Value="Normal"/>
    </PackageEditor_NewPackage1>
    <PackageEditor_NewPackage1a>
      <Caption Value="Package NewPackage1a V0.0"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
      <WindowState Value="Normal"/>
    </PackageEditor_NewPackage1a>
    <PseudoTerminal>
      <Caption Value="PseudoTerminal"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <WindowState Value="Normal"/>
    </PseudoTerminal>
    <BreakPoints>
      <Caption Value="BreakPoints"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <WindowState Value="Normal"/>
    </BreakPoints>
    <Locals>
      <Caption Value="Locals"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <WindowState Value="Normal"/>
    </Locals>
    <CallStack>
      <Caption Value="Call Stack"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="303" Top="249" Width="791" Height="381"/>
      <WindowState Value="Normal"/>
      <Divider Count="2">
        <Item0 ID="ColumnCStackSource" Size="227"/>
        <Item1 ID="ColumnCStackFunc" Size="476"/>
      </Divider>
    </CallStack>
    <EvaluateModify>
      <Caption Value="EvaluateModify"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <WindowState Value="Normal"/>
    </EvaluateModify>
    <Registers>
      <Caption Value="Registers"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <WindowState Value="Normal"/>
    </Registers>
    <DbgOutput>
      <Caption Value="DbgOutput"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <WindowState Value="Normal"/>
    </DbgOutput>
    <Inspect>
      <Caption Value="Inspect"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <WindowState Value="Normal"/>
    </Inspect>
    <DbgEvents>
      <Caption Value="DbgEvents"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <WindowState Value="Normal"/>
    </DbgEvents>
    <Threads>
      <Caption Value="Threads"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <WindowState Value="Normal"/>
    </Threads>
    <DbgHistory>
      <Caption Value="DbgHistory"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <WindowState Value="Normal"/>
    </DbgHistory>
    <UnitDependencies>
      <Caption Value="UnitDependencies"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <WindowState Value="Normal"/>
    </UnitDependencies>
    <CodeExplorerView>
      <Caption Value="CodeExplorerView"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <WindowState Value="Normal"/>
    </CodeExplorerView>
    <FPDocEditor>
      <Caption Value="FPDocEditor"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <WindowState Value="Normal"/>
    </FPDocEditor>
    <ClipBrdHistory>
      <Caption Value="ClipBrdHistory"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <WindowState Value="Normal"/>
    </ClipBrdHistory>
    <TabOrderDialog>
      <Caption Value="Tab Order of fmOpt"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="894" Top="137" Width="310" Height="374"/>
      <WindowState Value="Normal"/>
    </TabOrderDialog>
    <PackageEditor_mmr>
      <Caption Value="PackageEditor_mmr"/>
      <WindowPlacement Value="RestoreWindowGeometry"/>
      <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
      <WindowState Value="Normal"/>
    </PackageEditor_mmr>
    <Dialogs Count="22">
      <Dialog1>
        <Name Value="TLazFindInFilesDialog"/>
        <Size Width="461" Height="437"/>
      </Dialog1>
      <Dialog2>
        <Name Value="TLazFindReplaceDialog"/>
        <Size Width="487" Height="367"/>
      </Dialog2>
      <Dialog3>
        <Name Value="TExampleManagerForm"/>
        <Size Width="870" Height="495"/>
      </Dialog3>
      <Dialog4>
        <Name Value="TCleanDirectoryDialog"/>
        <Size Width="396" Height="342"/>
      </Dialog4>
      <Dialog5>
        <Name Value="TIDEOptionsDialog"/>
        <Size Width="1061" Height="561"/>
      </Dialog5>
      <Dialog6>
        <Name Value="TAddToPackageDlg"/>
        <Size Width="583" Height="404"/>
      </Dialog6>
      <Dialog7>
        <Name Value="TViewUnitDialog"/>
        <Size Width="450" Height="576"/>
      </Dialog7>
      <Dialog8>
        <Name Value="TNewOtherDialog"/>
        <Size Width="570" Height="400"/>
      </Dialog8>
      <Dialog9>
        <Name Value="TAddDirToPkgDialog"/>
        <Size Width="400" Height="350"/>
      </Dialog9>
      <Dialog10>
        <Name Value="TFindRenameIdentifierDialog"/>
        <Size Width="460" Height="540"/>
      </Dialog10>
      <Dialog11>
        <Name Value="TAddToProjectDialog"/>
        <Size Width="500" Height="300"/>
      </Dialog11>
      <Dialog12>
        <Name Value="TInstallPkgSetDialog"/>
        <Size Width="607" Height="636"/>
      </Dialog12>
      <Dialog13>
        <Name Value="TBrokenDependenciesDialog"/>
        <Size Width="525" Height="318"/>
      </Dialog13>
      <Dialog14>
        <Name Value="TCheckLFMDialog"/>
        <Size Width="600" Height="400"/>
      </Dialog14>
      <Dialog15>
        <Name Value="TConfigureBuildLazarusDlg"/>
        <Size Width="700" Height="506"/>
      </Dialog15>
      <Dialog16>
        <Name Value="THelpSelectorDialog"/>
        <Size Width="500" Height="300"/>
      </Dialog16>
      <Dialog17>
        <Name Value="TCodeToolsDefinesEditor"/>
        <Size Width="500" Height="460"/>
      </Dialog17>
      <Dialog18>
        <Name Value="TChgEncodingDialog"/>
        <Size Width="683" Height="560"/>
      </Dialog18>
      <Dialog19>
        <Name Value="TOpenLoadedPackagesDlg"/>
        <Size Width="702" Height="532"/>
      </Dialog19>
      <Dialog20>
        <Name Value="TIDEInfoNeedBuildDlg"/>
        <Size Width="699" Height="434"/>
      </Dialog20>
      <Dialog21>
        <Name Value="TIDEFPCInfoDialog"/>
        <Size Width="704" Height="450"/>
      </Dialog21>
      <Dialog22>
        <Name Value="TIDEInfoDialog"/>
        <Size Width="735" Height="450"/>
      </Dialog22>
    </Dialogs>
    <EditorToolBarOptions Count="4">
      <Button1 Name="IDEMainMenu/Search/itmJumpings/itmJumpToSection/itmJumpToImplementation"/>
      <Button2 Name="IDEMainMenu/Search/itmJumpings/itmJumpBack"/>
      <Button3 Name="IDEMainMenu/Search/itmJumpings/itmJumpForward"/>
      <Button4 Name="---------------"/>
    </EditorToolBarOptions>
    <IDECoolBarOptions>
      <Width Value="230"/>
    </IDECoolBarOptions>
  </Desktop>
  <Desktops Count="2">
    <Desktop1 Name="tst">
      <Desktop FormIdCount="53">
        <FormIdList a1="MainIDE" a2="MessagesView" a3="ObjectInspectorDlg" a4="SourceNotebook" a5="SearchResults" a6="CodeBrowser" a7="ComponentList" a8="PackageEditor_atsynedit_package" a9="ProjectInspector" a10="PackageEditor_gfComp" a11="PackageEditor_NewPackage" a12="PkgGraphExplorer" a13="PackageEditor_gauge_pkg" a14="AnchorEditor" a15="TabOrderEditor" a16="PackageEditor_atbuttons_package" a17="IDETodoWindow" a18="EditorFileManager" a19="PackageEditor_shapeline_pkg" a20="Assembler" a21="PackageEditor_lazmrumenu" a22="PackageEditor_LazOpenGLContext" a23="PackageEditor_SynEdit" a24="PackageEditor_DateTimeCtrls" a25="PackageEditor_line_pkg" a26="MacroListView" a27="JumpHistory" a28="IssueBrowser" a29="Watches" a30="PackageEditor_econtrol_package" a31="PackageEditor_python4lazarus_pkg" a32="PackageEditor_NewPackage2aabb" a33="PackageEditor_NewPackage2aa" a34="PackageEditor_NewPackage2" a35="PackageEditor_NewPackage1" a36="PackageEditor_NewPackage1a" a37="PseudoTerminal" a38="BreakPoints" a39="Locals" a40="CallStack" a41="EvaluateModify" a42="Registers" a43="DbgOutput" a44="Inspect" a45="DbgEvents" a46="Threads" a47="DbgHistory" a48="UnitDependencies" a49="CodeExplorerView" a50="FPDocEditor" a51="ClipBrdHistory" a52="TabOrderDialog" a53="PackageEditor_mmr"/>
      </Desktop>
      <MainIDE>
        <Caption Value="MainIDE"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="76" Top="56" Width="1200" Height="58"/>
        <WindowState Value="Normal"/>
        <Visible Value="True"/>
      </MainIDE>
      <MessagesView>
        <Caption Value="MessagesView"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="221" Top="673" Width="1052" Height="67"/>
        <WindowState Value="Normal"/>
        <Visible Value="True"/>
      </MessagesView>
      <ObjectInspectorDlg>
        <Caption Value="ObjectInspectorDlg"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="65" Top="216" Width="382" Height="501"/>
        <WindowState Value="Normal"/>
      </ObjectInspectorDlg>
      <SourceNotebook>
        <Caption Value="SourceNotebook"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="103" Top="270" Width="1263" Height="470"/>
        <WindowState Value="Normal"/>
      </SourceNotebook>
      <SearchResults>
        <Caption Value="SearchResults"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="178" Top="356" Width="840" Height="443"/>
        <WindowState Value="Normal"/>
      </SearchResults>
      <CodeBrowser>
        <Caption Value="CodeBrowser"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="378" Top="177" Width="645" Height="563"/>
        <WindowState Value="Normal"/>
      </CodeBrowser>
      <ComponentList>
        <Caption Value="ComponentList"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="533" Top="178" Width="300" Height="467"/>
        <WindowState Value="Normal"/>
      </ComponentList>
      <PackageEditor_atsynedit_package>
        <Caption Value="PackageEditor_atsynedit_package"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="123" Width="464" Height="521"/>
        <WindowState Value="Normal"/>
      </PackageEditor_atsynedit_package>
      <ProjectInspector>
        <Caption Value="ProjectInspector"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="286" Top="65" Width="300" Height="636"/>
        <WindowState Value="Normal"/>
      </ProjectInspector>
      <PackageEditor_gfComp>
        <Caption Value="PackageEditor_gfComp"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_gfComp>
      <PackageEditor_NewPackage>
        <Caption Value="PackageEditor_NewPackage"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="709" Top="173" Width="464" Height="547"/>
        <WindowState Value="Normal"/>
      </PackageEditor_NewPackage>
      <PkgGraphExplorer>
        <Caption Value="PkgGraphExplorer"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="254" Top="162" Width="675" Height="514"/>
        <WindowState Value="Normal"/>
      </PkgGraphExplorer>
      <PackageEditor_gauge_pkg>
        <Caption Value="PackageEditor_gauge_pkg"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_gauge_pkg>
      <AnchorEditor>
        <Caption Value="AnchorEditor"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="520" Top="88" Width="596" Height="297"/>
        <WindowState Value="Normal"/>
      </AnchorEditor>
      <TabOrderEditor>
        <Caption Value="TabOrderEditor"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="73" Top="70" Width="310" Height="374"/>
        <WindowState Value="Normal"/>
      </TabOrderEditor>
      <PackageEditor_atbuttons_package>
        <Caption Value="PackageEditor_atbuttons_package"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_atbuttons_package>
      <IDETodoWindow>
        <Caption Value="IDETodoWindow"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="198" Top="213" Width="643" Height="300"/>
        <WindowState Value="Normal"/>
      </IDETodoWindow>
      <EditorFileManager>
        <Caption Value="EditorFileManager"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="200" Top="200" Width="722" Height="380"/>
        <WindowState Value="Normal"/>
      </EditorFileManager>
      <PackageEditor_shapeline_pkg>
        <Caption Value="PackageEditor_shapeline_pkg"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="453" Top="196" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_shapeline_pkg>
      <Assembler>
        <Caption Value="Assembler"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="222" Top="175" Width="884" Height="355"/>
        <WindowState Value="Normal"/>
      </Assembler>
      <PackageEditor_lazmrumenu>
        <Caption Value="PackageEditor_lazmrumenu"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_lazmrumenu>
      <PackageEditor_LazOpenGLContext>
        <Caption Value="PackageEditor_LazOpenGLContext"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_LazOpenGLContext>
      <PackageEditor_SynEdit>
        <Caption Value="PackageEditor_SynEdit"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_SynEdit>
      <PackageEditor_DateTimeCtrls>
        <Caption Value="PackageEditor_DateTimeCtrls"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_DateTimeCtrls>
      <PackageEditor_line_pkg>
        <Caption Value="PackageEditor_line_pkg"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_line_pkg>
      <MacroListView>
        <Caption Value="MacroListView"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="390" Top="249" Width="424" Height="390"/>
        <WindowState Value="Normal"/>
      </MacroListView>
      <JumpHistory>
        <Caption Value="JumpHistory"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="250" Top="250" Width="400" Height="426"/>
        <WindowState Value="Normal"/>
      </JumpHistory>
      <IssueBrowser>
        <Caption Value="IssueBrowser"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="164" Top="297" Width="674" Height="405"/>
        <WindowState Value="Normal"/>
      </IssueBrowser>
      <Watches>
        <Caption Value="Watches"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="321" Top="437" Width="500" Height="200"/>
        <WindowState Value="Normal"/>
        <Divider Count="2">
          <Item0 ID="ColumnWatchExpr" Size="200"/>
          <Item1 ID="ColumnWatchValue" Size="298"/>
        </Divider>
      </Watches>
      <PackageEditor_econtrol_package>
        <Caption Value="PackageEditor_econtrol_package"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_econtrol_package>
      <PackageEditor_python4lazarus_pkg>
        <Caption Value="PackageEditor_python4lazarus_pkg"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="385" Top="119" Width="596" Height="529"/>
        <WindowState Value="Normal"/>
      </PackageEditor_python4lazarus_pkg>
      <PackageEditor_NewPackage2aabb>
        <Caption Value="PackageEditor_NewPackage2aabb"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_NewPackage2aabb>
      <PackageEditor_NewPackage2aa>
        <Caption Value="PackageEditor_NewPackage2aa"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="729" Top="159" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_NewPackage2aa>
      <PackageEditor_NewPackage2>
        <Caption Value="PackageEditor_NewPackage2"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="615" Top="185" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_NewPackage2>
      <PackageEditor_NewPackage1>
        <Caption Value="PackageEditor_NewPackage1"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_NewPackage1>
      <PackageEditor_NewPackage1a>
        <Caption Value="PackageEditor_NewPackage1a"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_NewPackage1a>
      <PseudoTerminal>
        <Caption Value="PseudoTerminal"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </PseudoTerminal>
      <BreakPoints>
        <Caption Value="BreakPoints"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </BreakPoints>
      <Locals>
        <Caption Value="Locals"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </Locals>
      <CallStack>
        <Caption Value="CallStack"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="303" Top="249" Width="791" Height="381"/>
        <WindowState Value="Normal"/>
        <Divider Count="2">
          <Item0 ID="ColumnCStackSource" Size="227"/>
          <Item1 ID="ColumnCStackFunc" Size="476"/>
        </Divider>
      </CallStack>
      <EvaluateModify>
        <Caption Value="EvaluateModify"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </EvaluateModify>
      <Registers>
        <Caption Value="Registers"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </Registers>
      <DbgOutput>
        <Caption Value="DbgOutput"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </DbgOutput>
      <Inspect>
        <Caption Value="Inspect"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </Inspect>
      <DbgEvents>
        <Caption Value="DbgEvents"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </DbgEvents>
      <Threads>
        <Caption Value="Threads"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </Threads>
      <DbgHistory>
        <Caption Value="DbgHistory"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </DbgHistory>
      <UnitDependencies>
        <Caption Value="UnitDependencies"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </UnitDependencies>
      <CodeExplorerView>
        <Caption Value="CodeExplorerView"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </CodeExplorerView>
      <FPDocEditor>
        <Caption Value="FPDocEditor"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </FPDocEditor>
      <ClipBrdHistory>
        <Caption Value="ClipBrdHistory"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </ClipBrdHistory>
      <TabOrderDialog>
        <Caption Value="TabOrderDialog"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="894" Top="137" Width="310" Height="374"/>
        <WindowState Value="Normal"/>
      </TabOrderDialog>
      <PackageEditor_mmr>
        <Caption Value="PackageEditor_mmr"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_mmr>
      <Dialogs Count="22">
        <Dialog1>
          <Name Value="TLazFindInFilesDialog"/>
          <Size Width="461" Height="437"/>
        </Dialog1>
        <Dialog2>
          <Name Value="TLazFindReplaceDialog"/>
          <Size Width="487" Height="367"/>
        </Dialog2>
        <Dialog3>
          <Name Value="TExampleManagerForm"/>
          <Size Width="870" Height="495"/>
        </Dialog3>
        <Dialog4>
          <Name Value="TCleanDirectoryDialog"/>
          <Size Width="396" Height="342"/>
        </Dialog4>
        <Dialog5>
          <Name Value="TIDEOptionsDialog"/>
          <Size Width="1061" Height="561"/>
        </Dialog5>
        <Dialog6>
          <Name Value="TAddToPackageDlg"/>
          <Size Width="583" Height="404"/>
        </Dialog6>
        <Dialog7>
          <Name Value="TViewUnitDialog"/>
          <Size Width="450" Height="576"/>
        </Dialog7>
        <Dialog8>
          <Name Value="TNewOtherDialog"/>
          <Size Width="570" Height="400"/>
        </Dialog8>
        <Dialog9>
          <Name Value="TAddDirToPkgDialog"/>
          <Size Width="400" Height="350"/>
        </Dialog9>
        <Dialog10>
          <Name Value="TFindRenameIdentifierDialog"/>
          <Size Width="460" Height="540"/>
        </Dialog10>
        <Dialog11>
          <Name Value="TAddToProjectDialog"/>
          <Size Width="500" Height="300"/>
        </Dialog11>
        <Dialog12>
          <Name Value="TInstallPkgSetDialog"/>
          <Size Width="607" Height="636"/>
        </Dialog12>
        <Dialog13>
          <Name Value="TBrokenDependenciesDialog"/>
          <Size Width="525" Height="318"/>
        </Dialog13>
        <Dialog14>
          <Name Value="TCheckLFMDialog"/>
          <Size Width="600" Height="400"/>
        </Dialog14>
        <Dialog15>
          <Name Value="TConfigureBuildLazarusDlg"/>
          <Size Width="700" Height="506"/>
        </Dialog15>
        <Dialog16>
          <Name Value="THelpSelectorDialog"/>
          <Size Width="500" Height="300"/>
        </Dialog16>
        <Dialog17>
          <Name Value="TCodeToolsDefinesEditor"/>
          <Size Width="500" Height="460"/>
        </Dialog17>
        <Dialog18>
          <Name Value="TChgEncodingDialog"/>
          <Size Width="683" Height="560"/>
        </Dialog18>
        <Dialog19>
          <Name Value="TOpenLoadedPackagesDlg"/>
          <Size Width="702" Height="532"/>
        </Dialog19>
        <Dialog20>
          <Name Value="TIDEInfoNeedBuildDlg"/>
          <Size Width="699" Height="434"/>
        </Dialog20>
        <Dialog21>
          <Name Value="TIDEFPCInfoDialog"/>
          <Size Width="704" Height="450"/>
        </Dialog21>
        <Dialog22>
          <Name Value="TIDEInfoDialog"/>
          <Size Width="735" Height="450"/>
        </Dialog22>
      </Dialogs>
      <IDECoolBarOptions>
        <Width Value="230"/>
      </IDECoolBarOptions>
      <EditorToolBarOptions Count="4">
        <Button1 Name="IDEMainMenu/Search/itmJumpings/itmJumpToSection/itmJumpToImplementation"/>
        <Button2 Name="IDEMainMenu/Search/itmJumpings/itmJumpBack"/>
        <Button3 Name="IDEMainMenu/Search/itmJumpings/itmJumpForward"/>
        <Button4 Name="---------------"/>
      </EditorToolBarOptions>
    </Desktop1>
    <Desktop2 Name="rt">
      <Desktop FormIdCount="53">
        <FormIdList a1="MainIDE" a2="MessagesView" a3="ObjectInspectorDlg" a4="SourceNotebook" a5="SearchResults" a6="CodeBrowser" a7="ComponentList" a8="PackageEditor_atsynedit_package" a9="ProjectInspector" a10="PackageEditor_gfComp" a11="PackageEditor_NewPackage" a12="PkgGraphExplorer" a13="PackageEditor_gauge_pkg" a14="AnchorEditor" a15="TabOrderEditor" a16="PackageEditor_atbuttons_package" a17="IDETodoWindow" a18="EditorFileManager" a19="PackageEditor_shapeline_pkg" a20="Assembler" a21="PackageEditor_lazmrumenu" a22="PackageEditor_LazOpenGLContext" a23="PackageEditor_SynEdit" a24="PackageEditor_DateTimeCtrls" a25="PackageEditor_line_pkg" a26="MacroListView" a27="JumpHistory" a28="IssueBrowser" a29="Watches" a30="PackageEditor_econtrol_package" a31="PackageEditor_python4lazarus_pkg" a32="PackageEditor_NewPackage2aabb" a33="PackageEditor_NewPackage2aa" a34="PackageEditor_NewPackage2" a35="PackageEditor_NewPackage1" a36="PackageEditor_NewPackage1a" a37="PseudoTerminal" a38="BreakPoints" a39="Locals" a40="CallStack" a41="EvaluateModify" a42="Registers" a43="DbgOutput" a44="Inspect" a45="DbgEvents" a46="Threads" a47="DbgHistory" a48="UnitDependencies" a49="CodeExplorerView" a50="FPDocEditor" a51="ClipBrdHistory" a52="TabOrderDialog" a53="PackageEditor_mmr"/>
      </Desktop>
      <MainIDE>
        <Caption Value="MainIDE"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="76" Top="56" Width="1200" Height="58"/>
        <WindowState Value="Normal"/>
        <Visible Value="True"/>
      </MainIDE>
      <MessagesView>
        <Caption Value="MessagesView"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="1193" Top="367" Width="165" Height="366"/>
        <WindowState Value="Normal"/>
        <Visible Value="True"/>
      </MessagesView>
      <ObjectInspectorDlg>
        <Caption Value="ObjectInspectorDlg"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="65" Top="216" Width="382" Height="501"/>
        <WindowState Value="Normal"/>
      </ObjectInspectorDlg>
      <SourceNotebook>
        <Caption Value="SourceNotebook"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="103" Top="270" Width="1263" Height="470"/>
        <WindowState Value="Normal"/>
      </SourceNotebook>
      <SearchResults>
        <Caption Value="SearchResults"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="178" Top="356" Width="840" Height="443"/>
        <WindowState Value="Normal"/>
      </SearchResults>
      <CodeBrowser>
        <Caption Value="CodeBrowser"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="378" Top="177" Width="645" Height="563"/>
        <WindowState Value="Normal"/>
      </CodeBrowser>
      <ComponentList>
        <Caption Value="ComponentList"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="533" Top="178" Width="300" Height="467"/>
        <WindowState Value="Normal"/>
      </ComponentList>
      <PackageEditor_atsynedit_package>
        <Caption Value="PackageEditor_atsynedit_package"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="123" Width="464" Height="521"/>
        <WindowState Value="Normal"/>
      </PackageEditor_atsynedit_package>
      <ProjectInspector>
        <Caption Value="ProjectInspector"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="286" Top="65" Width="300" Height="636"/>
        <WindowState Value="Normal"/>
      </ProjectInspector>
      <PackageEditor_gfComp>
        <Caption Value="PackageEditor_gfComp"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_gfComp>
      <PackageEditor_NewPackage>
        <Caption Value="PackageEditor_NewPackage"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="709" Top="173" Width="464" Height="547"/>
        <WindowState Value="Normal"/>
      </PackageEditor_NewPackage>
      <PkgGraphExplorer>
        <Caption Value="PkgGraphExplorer"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="254" Top="162" Width="675" Height="514"/>
        <WindowState Value="Normal"/>
      </PkgGraphExplorer>
      <PackageEditor_gauge_pkg>
        <Caption Value="PackageEditor_gauge_pkg"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_gauge_pkg>
      <AnchorEditor>
        <Caption Value="AnchorEditor"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="520" Top="88" Width="596" Height="297"/>
        <WindowState Value="Normal"/>
      </AnchorEditor>
      <TabOrderEditor>
        <Caption Value="TabOrderEditor"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="73" Top="70" Width="310" Height="374"/>
        <WindowState Value="Normal"/>
      </TabOrderEditor>
      <PackageEditor_atbuttons_package>
        <Caption Value="PackageEditor_atbuttons_package"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_atbuttons_package>
      <IDETodoWindow>
        <Caption Value="IDETodoWindow"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="198" Top="213" Width="643" Height="300"/>
        <WindowState Value="Normal"/>
      </IDETodoWindow>
      <EditorFileManager>
        <Caption Value="EditorFileManager"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="200" Top="200" Width="722" Height="380"/>
        <WindowState Value="Normal"/>
      </EditorFileManager>
      <PackageEditor_shapeline_pkg>
        <Caption Value="PackageEditor_shapeline_pkg"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="453" Top="196" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_shapeline_pkg>
      <Assembler>
        <Caption Value="Assembler"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="222" Top="175" Width="884" Height="355"/>
        <WindowState Value="Normal"/>
      </Assembler>
      <PackageEditor_lazmrumenu>
        <Caption Value="PackageEditor_lazmrumenu"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_lazmrumenu>
      <PackageEditor_LazOpenGLContext>
        <Caption Value="PackageEditor_LazOpenGLContext"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_LazOpenGLContext>
      <PackageEditor_SynEdit>
        <Caption Value="PackageEditor_SynEdit"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_SynEdit>
      <PackageEditor_DateTimeCtrls>
        <Caption Value="PackageEditor_DateTimeCtrls"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_DateTimeCtrls>
      <PackageEditor_line_pkg>
        <Caption Value="PackageEditor_line_pkg"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_line_pkg>
      <MacroListView>
        <Caption Value="MacroListView"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="390" Top="249" Width="424" Height="390"/>
        <WindowState Value="Normal"/>
      </MacroListView>
      <JumpHistory>
        <Caption Value="JumpHistory"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="250" Top="250" Width="400" Height="426"/>
        <WindowState Value="Normal"/>
      </JumpHistory>
      <IssueBrowser>
        <Caption Value="IssueBrowser"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="164" Top="297" Width="674" Height="405"/>
        <WindowState Value="Normal"/>
      </IssueBrowser>
      <Watches>
        <Caption Value="Watches"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="321" Top="437" Width="500" Height="200"/>
        <WindowState Value="Normal"/>
        <Divider Count="2">
          <Item0 ID="ColumnWatchExpr" Size="200"/>
          <Item1 ID="ColumnWatchValue" Size="298"/>
        </Divider>
      </Watches>
      <PackageEditor_econtrol_package>
        <Caption Value="PackageEditor_econtrol_package"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_econtrol_package>
      <PackageEditor_python4lazarus_pkg>
        <Caption Value="PackageEditor_python4lazarus_pkg"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="385" Top="119" Width="596" Height="529"/>
        <WindowState Value="Normal"/>
      </PackageEditor_python4lazarus_pkg>
      <PackageEditor_NewPackage2aabb>
        <Caption Value="PackageEditor_NewPackage2aabb"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_NewPackage2aabb>
      <PackageEditor_NewPackage2aa>
        <Caption Value="PackageEditor_NewPackage2aa"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="729" Top="159" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_NewPackage2aa>
      <PackageEditor_NewPackage2>
        <Caption Value="PackageEditor_NewPackage2"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="615" Top="185" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_NewPackage2>
      <PackageEditor_NewPackage1>
        <Caption Value="PackageEditor_NewPackage1"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_NewPackage1>
      <PackageEditor_NewPackage1a>
        <Caption Value="PackageEditor_NewPackage1a"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_NewPackage1a>
      <PseudoTerminal>
        <Caption Value="PseudoTerminal"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </PseudoTerminal>
      <BreakPoints>
        <Caption Value="BreakPoints"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </BreakPoints>
      <Locals>
        <Caption Value="Locals"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </Locals>
      <CallStack>
        <Caption Value="CallStack"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="303" Top="249" Width="791" Height="381"/>
        <WindowState Value="Normal"/>
        <Divider Count="2">
          <Item0 ID="ColumnCStackSource" Size="227"/>
          <Item1 ID="ColumnCStackFunc" Size="476"/>
        </Divider>
      </CallStack>
      <EvaluateModify>
        <Caption Value="EvaluateModify"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </EvaluateModify>
      <Registers>
        <Caption Value="Registers"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </Registers>
      <DbgOutput>
        <Caption Value="DbgOutput"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </DbgOutput>
      <Inspect>
        <Caption Value="Inspect"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </Inspect>
      <DbgEvents>
        <Caption Value="DbgEvents"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </DbgEvents>
      <Threads>
        <Caption Value="Threads"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </Threads>
      <DbgHistory>
        <Caption Value="DbgHistory"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </DbgHistory>
      <UnitDependencies>
        <Caption Value="UnitDependencies"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </UnitDependencies>
      <CodeExplorerView>
        <Caption Value="CodeExplorerView"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </CodeExplorerView>
      <FPDocEditor>
        <Caption Value="FPDocEditor"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </FPDocEditor>
      <ClipBrdHistory>
        <Caption Value="ClipBrdHistory"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </ClipBrdHistory>
      <TabOrderDialog>
        <Caption Value="TabOrderDialog"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="894" Top="137" Width="310" Height="374"/>
        <WindowState Value="Normal"/>
      </TabOrderDialog>
      <PackageEditor_mmr>
        <Caption Value="PackageEditor_mmr"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="451" Top="156" Width="464" Height="455"/>
        <WindowState Value="Normal"/>
      </PackageEditor_mmr>
      <Dialogs Count="22">
        <Dialog1>
          <Name Value="TLazFindInFilesDialog"/>
          <Size Width="461" Height="437"/>
        </Dialog1>
        <Dialog2>
          <Name Value="TLazFindReplaceDialog"/>
          <Size Width="487" Height="367"/>
        </Dialog2>
        <Dialog3>
          <Name Value="TExampleManagerForm"/>
          <Size Width="870" Height="495"/>
        </Dialog3>
        <Dialog4>
          <Name Value="TCleanDirectoryDialog"/>
          <Size Width="396" Height="342"/>
        </Dialog4>
        <Dialog5>
          <Name Value="TIDEOptionsDialog"/>
          <Size Width="1061" Height="561"/>
        </Dialog5>
        <Dialog6>
          <Name Value="TAddToPackageDlg"/>
          <Size Width="583" Height="404"/>
        </Dialog6>
        <Dialog7>
          <Name Value="TViewUnitDialog"/>
          <Size Width="450" Height="576"/>
        </Dialog7>
        <Dialog8>
          <Name Value="TNewOtherDialog"/>
          <Size Width="570" Height="400"/>
        </Dialog8>
        <Dialog9>
          <Name Value="TAddDirToPkgDialog"/>
          <Size Width="400" Height="350"/>
        </Dialog9>
        <Dialog10>
          <Name Value="TFindRenameIdentifierDialog"/>
          <Size Width="460" Height="540"/>
        </Dialog10>
        <Dialog11>
          <Name Value="TAddToProjectDialog"/>
          <Size Width="500" Height="300"/>
        </Dialog11>
        <Dialog12>
          <Name Value="TInstallPkgSetDialog"/>
          <Size Width="607" Height="636"/>
        </Dialog12>
        <Dialog13>
          <Name Value="TBrokenDependenciesDialog"/>
          <Size Width="525" Height="318"/>
        </Dialog13>
        <Dialog14>
          <Name Value="TCheckLFMDialog"/>
          <Size Width="600" Height="400"/>
        </Dialog14>
        <Dialog15>
          <Name Value="TConfigureBuildLazarusDlg"/>
          <Size Width="700" Height="506"/>
        </Dialog15>
        <Dialog16>
          <Name Value="THelpSelectorDialog"/>
          <Size Width="500" Height="300"/>
        </Dialog16>
        <Dialog17>
          <Name Value="TCodeToolsDefinesEditor"/>
          <Size Width="500" Height="460"/>
        </Dialog17>
        <Dialog18>
          <Name Value="TChgEncodingDialog"/>
          <Size Width="683" Height="560"/>
        </Dialog18>
        <Dialog19>
          <Name Value="TOpenLoadedPackagesDlg"/>
          <Size Width="702" Height="532"/>
        </Dialog19>
        <Dialog20>
          <Name Value="TIDEInfoNeedBuildDlg"/>
          <Size Width="699" Height="434"/>
        </Dialog20>
        <Dialog21>
          <Name Value="TIDEFPCInfoDialog"/>
          <Size Width="704" Height="450"/>
        </Dialog21>
        <Dialog22>
          <Name Value="TIDEInfoDialog"/>
          <Size Width="735" Height="450"/>
        </Dialog22>
      </Dialogs>
      <IDECoolBarOptions>
        <Width Value="230"/>
      </IDECoolBarOptions>
      <EditorToolBarOptions Count="4">
        <Button1 Name="IDEMainMenu/Search/itmJumpings/itmJumpToSection/itmJumpToImplementation"/>
        <Button2 Name="IDEMainMenu/Search/itmJumpings/itmJumpBack"/>
        <Button3 Name="IDEMainMenu/Search/itmJumpings/itmJumpForward"/>
        <Button4 Name="---------------"/>
      </EditorToolBarOptions>
    </Desktop2>
  </Desktops>
</CONFIG>
environmentoptions.xml (58,690 bytes)   

CudaText man

2015-09-02 15:27

reporter   ~0085672

File xml

Ondrej Pokorny

2015-09-07 15:26

developer   ~0085767

I downloaded your ATSynedit demo from GitHub, used your XML settings file and changed desktops in the IDE. No errors or AVs.

System Windows 10.

Juha Manninen

2015-09-08 15:06

developer   ~0085791

Can you still reproduce after the latest changes?

CudaText man

2015-09-08 15:48

reporter  

environmentoptions--2.xml (27,025 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<CONFIG>
  <EnvironmentOptions>
    <Version Value="109" Lazarus="1.5"/>
    <FormEditor GuideLineColorLeftTop="16711680" GuideLineColorRightBottom="32768">
      <Rubberband>
        <SelectionColor Value="8388608"/>
        <CreationColor Value="128"/>
      </Rubberband>
    </FormEditor>
    <LazarusDirectory Value="../lazarus">
      <History Count="2">
        <Item1 Value="../lazarus/"/>
        <Item2 Value="/usr/lib/lazarus/"/>
      </History>
    </LazarusDirectory>
    <CompilerFilename Value="/usr/bin/fpc">
      <History Count="4">
        <Item1 Value="/usr/local/bin/fpc"/>
        <Item2 Value="/usr/bin/fpc"/>
        <Item3 Value="/opt/fpc/fpc"/>
        <Item4 Value="$(CompPath)"/>
      </History>
    </CompilerFilename>
    <FPCSourceDirectory Value="/usr/share/fpcsrc/$(FPCVER)">
      <History Count="3">
        <Item1 Value="/usr/share/fpcsrc/$(FPCVER)"/>
        <Item2 Value="/usr/share/fpcsrc/"/>
        <Item3 Value="/usr/share/fpcsrc/$(FPCVER)/"/>
      </History>
    </FPCSourceDirectory>
    <MakeFilename>
      <History Count="2">
        <Item1 Value="make"/>
        <Item2 Value="/usr/bin/make"/>
      </History>
    </MakeFilename>
    <TestBuildDirectory Value="~/tmp/">
      <History Count="3">
        <Item1 Value="~/tmp/"/>
        <Item2 Value="/tmp/"/>
        <Item3 Value="/var/tmp/"/>
      </History>
    </TestBuildDirectory>
    <CompilerMessagesFilename>
      <History Count="2">
        <Item2 Value="$(FPCSrcDir)/compiler/msg/errordu.msg"/>
      </History>
    </CompilerMessagesFilename>
    <LastCalledByLazarusFullPath Value="/home/user/lazarus/lazarus"/>
    <Build UseBuildModes="True"/>
    <BackupProjectFiles AdditionalExtension="bak" MaxCounter="9" Type="4" SubDirectory=""/>
    <BackupOtherFiles AdditionalExtension="bak" MaxCounter="9" Type="4"/>
    <Debugger Class="TGDBMIDebugger" EventLogLineLimit="100">
      <WatchesDlg ColumnNameWidth="-1" ColumnValueWidth="-1"/>
    </Debugger>
    <DebuggerFilename Value="gdb">
      <History Count="4">
        <Item1 Value="gdb"/>
        <Item2 Value="/usr/bin/gdb"/>
        <Item3 Value="/usr/local/bin/gdb"/>
        <Item4 Value="/opt/fpc/gdb"/>
      </History>
    </DebuggerFilename>
    <DebuggerOptions>
      <ShowStopMessage Value="False"/>
    </DebuggerOptions>
    <Recent AlreadyPopulated="True">
      <OpenFiles Count="10">
        <Item1 Value="/home/user/cuda/cuda/comp/LazColorPalette/colorpalette.lrs"/>
        <Item2 Value="/home/user/lazarus/packager/addtopackagedlg.pas"/>
        <Item3 Value="/home/user/lazarus/packager/newpkgcomponentdlg.pas"/>
        <Item4 Value="/home/user/lazarus/ide/codetoolsdefpreview.pas"/>
        <Item5 Value="/home/user/lazarus/ide/lazarusidestrconsts.pas"/>
        <Item6 Value="/home/user/lazarus/components/codetools/directorycacher.pas"/>
        <Item7 Value="/home/user/lazarus/components/codetools/directivestree.pas"/>
        <Item8 Value="/home/user/lazarus/ide/aboutfrm.pas"/>
        <Item9 Value="/home/user/lazarus/ide/lazconf.pp"/>
        <Item10 Value="/home/user/lazarus/lcl/interfacebase.pp"/>
      </OpenFiles>
      <ProjectFiles Max="10" Count="10">
        <Item1 Value="/home/user/lazarus/ide/lazarus.lpi"/>
        <Item2 Value="/home/user/cuda/cuda/app/cudatext.lpi"/>
        <Item3 Value="/home/user/cuda/synedit/app/demo_editor/demo.lpi"/>
        <Item4 Value="/home/user/cuda/synedit/app/demo_adapter_econtrol/demo.lpi"/>
        <Item5 Value="/home/user/cuda/synedit/app/demo_econtrol_lexer_lib/lex_lib_demo.lpi"/>
        <Item6 Value="/home/user/cuda/synedit/app/test_designtime/demo.lpi"/>
        <Item7 Value="/home/user/tst-clc/project1.lpi"/>
        <Item8 Value="/home/user/Downloads/untitled folder/project1.lpi"/>
        <Item9 Value="/home/user/t1/project1.lpi"/>
        <Item10 Value="/home/user/tst-msg/project1.lpi"/>
      </ProjectFiles>
      <PackageFiles Count="10">
        <Item1 Value="/home/user/cuda/cuda/comp/LazColorPalette/lazcolorpalette.lpk"/>
        <Item2 Value="/home/user/lazarus/components/customdrawn/customdrawn.lpk"/>
        <Item3 Value="/home/user/cuda/buttons/atbuttons/atbuttons_package.lpk"/>
        <Item4 Value="/home/user/cuda/python/Components/python4lazarus_pkg.lpk"/>
        <Item5 Value="/home/user/cuda/econtrol/ec/econtrol_package.lpk"/>
        <Item6 Value="/home/user/cuda/synedit/atsynedit/atsynedit_package.lpk"/>
        <Item7 Value="/home/user/cuda/gaug/src/gauge_pkg.lpk"/>
        <Item8 Value="/home/user/buttons/atbuttons/atbuttons_package.lpk"/>
        <Item9 Value="/home/user/gaug/src/gauge_pkg.lpk"/>
        <Item10 Value="/home/user/lazarus/components/IndustrialStuff/industrial.lpk"/>
      </PackageFiles>
    </Recent>
    <ExternalTools Version="3"/>
    <AutoSave LastSavedProjectFile="/home/user/lazarus/ide/lazarus.lpi"/>
    <MsgView>
      <Colors Running="13366271" Success="12513219" Failed="13421567" AutoHeader="15647677"/>
    </MsgView>
  </EnvironmentOptions>
  <ObjectInspectorOptions ShowHints="False" InfoBoxHeight="63">
    <Version Value="3"/>
    <Bounds>
      <PropertyPage SplitterX="184"/>
      <EventPage SplitterX="163"/>
    </Bounds>
    <ComponentTree>
      <Height Value="162"/>
    </ComponentTree>
  </ObjectInspectorOptions>
  <Desktops Count="2" ActiveDesktop="name">
    <Desktop1 Name="name">
      <Desktop FormIdCount="31">
        <FormIdList a1="MainIDE" a2="ObjectInspectorDlg" a3="MessagesView" a4="SourceNotebook" a5="ComponentList" a6="SearchResults" a7="AnchorEditor" a8="ProjectInspector" a9="Assembler" a10="CallStack" a11="TabOrderEditor" a12="PseudoTerminal" a13="Watches" a14="BreakPoints" a15="Locals" a16="EvaluateModify" a17="Registers" a18="DbgOutput" a19="Inspect" a20="DbgEvents" a21="Threads" a22="DbgHistory" a23="UnitDependencies" a24="CodeExplorerView" a25="FPDocEditor" a26="ClipBrdHistory" a27="PkgGraphExplorer" a28="EditorFileManager" a29="CodeBrowser" a30="IssueBrowser" a31="JumpHistory"/>
      </Desktop>
      <MainIDE>
        <Caption Value="MainIDE"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="75" Top="38" Width="1200" Height="58"/>
        <WindowState Value="Normal"/>
        <Visible Value="True"/>
      </MainIDE>
      <ObjectInspectorDlg>
        <Caption Value="ObjectInspectorDlg"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="65" Top="353" Width="398" Height="626"/>
        <WindowState Value="Normal"/>
        <Visible Value="True"/>
      </ObjectInspectorDlg>
      <MessagesView>
        <Caption Value="MessagesView"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="75" Top="832" Width="869" Height="164"/>
        <WindowState Value="Normal"/>
        <Visible Value="True"/>
      </MessagesView>
      <SourceNotebook>
        <Caption Value="SourceNotebook"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="362" Top="313" Width="807" Height="524"/>
        <WindowState Value="Normal"/>
      </SourceNotebook>
      <ComponentList>
        <Caption Value="ComponentList"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="80" Top="284" Width="300" Height="467"/>
        <WindowState Value="Normal"/>
      </ComponentList>
      <SearchResults>
        <Caption Value="SearchResults"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="95" Top="599" Width="840" Height="372"/>
        <WindowState Value="Normal"/>
      </SearchResults>
      <AnchorEditor>
        <Caption Value="AnchorEditor"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="205" Top="572" Width="596" Height="297"/>
        <WindowState Value="Normal"/>
      </AnchorEditor>
      <ProjectInspector>
        <Caption Value="ProjectInspector"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="200" Top="150" Width="531" Height="573"/>
        <WindowState Value="Normal"/>
      </ProjectInspector>
      <Assembler>
        <Caption Value="Assembler"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="268" Top="122" Width="689" Height="357"/>
        <WindowState Value="Normal"/>
      </Assembler>
      <CallStack>
        <Caption Value="CallStack"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="106" Top="124" Width="1098" Height="503"/>
        <WindowState Value="Normal"/>
        <Divider Count="2">
          <Item0 ID="ColumnCStackSource" Size="251"/>
          <Item1 ID="ColumnCStackFunc" Size="682"/>
        </Divider>
      </CallStack>
      <TabOrderEditor>
        <Caption Value="TabOrderEditor"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="218" Top="595" Width="310" Height="374"/>
        <WindowState Value="Normal"/>
      </TabOrderEditor>
      <PseudoTerminal>
        <Caption Value="PseudoTerminal"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </PseudoTerminal>
      <Watches>
        <Caption Value="Watches"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </Watches>
      <BreakPoints>
        <Caption Value="BreakPoints"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </BreakPoints>
      <Locals>
        <Caption Value="Locals"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </Locals>
      <EvaluateModify>
        <Caption Value="EvaluateModify"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </EvaluateModify>
      <Registers>
        <Caption Value="Registers"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </Registers>
      <DbgOutput>
        <Caption Value="DbgOutput"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </DbgOutput>
      <Inspect>
        <Caption Value="Inspect"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </Inspect>
      <DbgEvents>
        <Caption Value="DbgEvents"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </DbgEvents>
      <Threads>
        <Caption Value="Threads"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </Threads>
      <DbgHistory>
        <Caption Value="DbgHistory"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </DbgHistory>
      <UnitDependencies>
        <Caption Value="UnitDependencies"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </UnitDependencies>
      <CodeExplorerView>
        <Caption Value="CodeExplorerView"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </CodeExplorerView>
      <FPDocEditor>
        <Caption Value="FPDocEditor"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </FPDocEditor>
      <ClipBrdHistory>
        <Caption Value="ClipBrdHistory"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </ClipBrdHistory>
      <PkgGraphExplorer>
        <Caption Value="PkgGraphExplorer"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </PkgGraphExplorer>
      <EditorFileManager>
        <Caption Value="EditorFileManager"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </EditorFileManager>
      <CodeBrowser>
        <Caption Value="CodeBrowser"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </CodeBrowser>
      <IssueBrowser>
        <Caption Value="IssueBrowser"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </IssueBrowser>
      <JumpHistory>
        <Caption Value="JumpHistory"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </JumpHistory>
      <Dialogs Count="16">
        <Dialog1>
          <Name Value="TLazFindInFilesDialog"/>
          <Size Width="461" Height="437"/>
        </Dialog1>
        <Dialog2>
          <Name Value="TLazFindReplaceDialog"/>
          <Size Width="487" Height="367"/>
        </Dialog2>
        <Dialog3>
          <Name Value="TFindRenameIdentifierDialog"/>
          <Size Width="460" Height="540"/>
        </Dialog3>
        <Dialog4>
          <Name Value="TInstallPkgSetDialog"/>
          <Size Width="607" Height="578"/>
        </Dialog4>
        <Dialog5>
          <Name Value="TViewUnitDialog"/>
          <Size Width="450" Height="359"/>
        </Dialog5>
        <Dialog6>
          <Name Value="TIDEOptionsDialog"/>
          <Size Width="800" Height="574"/>
        </Dialog6>
        <Dialog7>
          <Name Value="TOpenLoadedPackagesDlg"/>
          <Size Width="450" Height="450"/>
        </Dialog7>
        <Dialog8>
          <Name Value="TNewOtherDialog"/>
          <Size Width="570" Height="400"/>
        </Dialog8>
        <Dialog9>
          <Name Value="TIDEFPCInfoDialog"/>
          <Size Width="704" Height="450"/>
        </Dialog9>
        <Dialog10>
          <Name Value="TExampleManagerForm"/>
          <Size Width="870" Height="495"/>
        </Dialog10>
        <Dialog11>
          <Name Value="TCheckLFMDialog"/>
          <Size Width="600" Height="400"/>
        </Dialog11>
        <Dialog12>
          <Name Value="TCleanDirectoryDialog"/>
          <Size Width="396" Height="342"/>
        </Dialog12>
        <Dialog13>
          <Name Value="TAddToProjectDialog"/>
          <Size Width="500" Height="300"/>
        </Dialog13>
        <Dialog14>
          <Name Value="TConfigureBuildLazarusDlg"/>
          <Size Width="700" Height="530"/>
        </Dialog14>
        <Dialog15>
          <Name Value="TCodeTemplateDialog"/>
          <Size Width="600" Height="550"/>
        </Dialog15>
        <Dialog16>
          <Name Value="TCodeToolsDefinesEditor"/>
          <Size Width="500" Height="460"/>
        </Dialog16>
      </Dialogs>
      <IDECoolBarOptions Count="2">
        <Width Value="230"/>
        <ToolBar1 Count="10">
          <Break Value="True"/>
          <Button1 Name="IDEMainMenu/Project/itmProjectAddRemoveSection/itmProjectViewUnits"/>
          <Button2 Name="IDEMainMenu/Project/itmProjectAddRemoveSection/itmProjectViewForms"/>
          <Button3 Name="---------------"/>
          <Button4 Name="IDEMainMenu/Project/itmProjectAddRemoveSection/itmProjectBuildMode"/>
          <Button5 Name="IDEMainMenu/Run/itmRunnning/itmRunMenuRun"/>
          <Button6 Name="IDEMainMenu/Run/itmRunnning/itmRunMenuPause"/>
          <Button7 Name="IDEMainMenu/Run/itmRunnning/itmRunMenuStop"/>
          <Button8 Name="IDEMainMenu/Run/itmRunnning/itmRunMenuStepOver"/>
          <Button9 Name="IDEMainMenu/Run/itmRunnning/itmRunMenuStepInto"/>
          <Button10 Name="IDEMainMenu/Run/itmRunnning/itmRunMenuStepOut"/>
        </ToolBar1>
        <ToolBar2 Count="8">
          <Break Value="True"/>
          <Button1 Name="IDEMainMenu/File/itmFileNew/itmFileNewForm"/>
          <Button2 Name="IDEMainMenu/File/itmFileNew/itmFileNewUnit"/>
          <Button3 Name="---------------"/>
          <Button4 Name="IDEMainMenu/File/itmFileOpenSave/itmFileOpen"/>
          <Button5 Name="IDEMainMenu/File/itmFileOpenSave/itmFileSave"/>
          <Button6 Name="IDEMainMenu/File/itmFileOpenSave/itmFileSaveAll"/>
          <Button7 Name="---------------"/>
          <Button8 Name="IDEMainMenu/View/itmViewMainWindows/itmViewToggleFormUnit"/>
        </ToolBar2>
      </IDECoolBarOptions>
      <EditorToolBarOptions Count="2">
        <Button1 Name="IDEMainMenu/Search/itmJumpings/itmJumpBack"/>
        <Button2 Name="IDEMainMenu/Search/itmJumpings/itmJumpForward"/>
      </EditorToolBarOptions>
    </Desktop1>
    <Desktop2 Name="default">
      <Desktop FormIdCount="31">
        <FormIdList a1="MainIDE" a2="MessagesView" a3="ObjectInspectorDlg" a4="AnchorEditor" a5="SourceNotebook" a6="CodeBrowser" a7="TabOrderEditor" a8="SearchResults" a9="CodeExplorerView" a10="Assembler" a11="CallStack" a12="ComponentList" a13="ProjectInspector" a14="PseudoTerminal" a15="Watches" a16="BreakPoints" a17="Locals" a18="EvaluateModify" a19="Registers" a20="DbgOutput" a21="Inspect" a22="DbgEvents" a23="Threads" a24="DbgHistory" a25="UnitDependencies" a26="FPDocEditor" a27="ClipBrdHistory" a28="PkgGraphExplorer" a29="EditorFileManager" a30="IssueBrowser" a31="JumpHistory"/>
      </Desktop>
      <MainIDE>
        <Caption Value="MainIDE"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="70" Top="38" Width="1200" Height="58"/>
        <WindowState Value="Normal"/>
        <Visible Value="True"/>
      </MainIDE>
      <MessagesView>
        <Caption Value="Messages"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="67" Top="832" Width="869" Height="164"/>
        <WindowState Value="Normal"/>
        <Visible Value="True"/>
      </MessagesView>
      <ObjectInspectorDlg>
        <Caption Value="Object Inspector"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="67" Top="344" Width="398" Height="626"/>
        <WindowState Value="Normal"/>
      </ObjectInspectorDlg>
      <AnchorEditor>
        <Caption Value="AnchorEditor"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="249" Top="425" Width="596" Height="297"/>
        <WindowState Value="Normal"/>
      </AnchorEditor>
      <SourceNotebook>
        <Caption Value="Source Editor"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="323" Top="316" Width="807" Height="524"/>
        <WindowState Value="Normal"/>
      </SourceNotebook>
      <CodeBrowser>
        <Caption Value="Code Browser"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="200" Top="200" Width="650" Height="500"/>
        <WindowState Value="Normal"/>
      </CodeBrowser>
      <TabOrderEditor>
        <Caption Value="Tab Order of fmAbout"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="120" Top="207" Width="310" Height="406"/>
        <WindowState Value="Normal"/>
      </TabOrderEditor>
      <SearchResults>
        <Caption Value="Search Results"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="95" Top="598" Width="840" Height="372"/>
        <WindowState Value="Normal"/>
      </SearchResults>
      <CodeExplorerView>
        <Caption Value="CodeExplorerView"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="864" Top="120" Width="338" Height="580"/>
        <WindowState Value="Normal"/>
      </CodeExplorerView>
      <Assembler>
        <Caption Value="Assembler"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="268" Top="122" Width="689" Height="357"/>
        <WindowState Value="Normal"/>
      </Assembler>
      <CallStack>
        <Caption Value="Call Stack"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="106" Top="124" Width="1098" Height="503"/>
        <WindowState Value="Normal"/>
        <Divider Count="2">
          <Item0 ID="ColumnCStackSource" Size="251"/>
          <Item1 ID="ColumnCStackFunc" Size="682"/>
        </Divider>
      </CallStack>
      <ComponentList>
        <Caption Value="Components"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="80" Top="284" Width="300" Height="467"/>
        <WindowState Value="Normal"/>
      </ComponentList>
      <ProjectInspector>
        <Caption Value="Project Inspector - CudaText"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="200" Top="150" Width="531" Height="573"/>
        <WindowState Value="Normal"/>
      </ProjectInspector>
      <PseudoTerminal>
        <Caption Value="PseudoTerminal"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </PseudoTerminal>
      <Watches>
        <Caption Value="Watch List"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <CustomPosition Left="321" Top="437" Width="500" Height="200"/>
        <WindowState Value="Normal"/>
        <Divider Count="2">
          <Item0 ID="ColumnWatchExpr" Size="200"/>
          <Item1 ID="ColumnWatchValue" Size="298"/>
        </Divider>
      </Watches>
      <BreakPoints>
        <Caption Value="BreakPoints"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </BreakPoints>
      <Locals>
        <Caption Value="Locals"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </Locals>
      <EvaluateModify>
        <Caption Value="EvaluateModify"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </EvaluateModify>
      <Registers>
        <Caption Value="Registers"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </Registers>
      <DbgOutput>
        <Caption Value="DbgOutput"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </DbgOutput>
      <Inspect>
        <Caption Value="Inspect"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </Inspect>
      <DbgEvents>
        <Caption Value="DbgEvents"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </DbgEvents>
      <Threads>
        <Caption Value="Threads"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </Threads>
      <DbgHistory>
        <Caption Value="DbgHistory"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </DbgHistory>
      <UnitDependencies>
        <Caption Value="UnitDependencies"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </UnitDependencies>
      <FPDocEditor>
        <Caption Value="FPDocEditor"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </FPDocEditor>
      <ClipBrdHistory>
        <Caption Value="ClipBrdHistory"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </ClipBrdHistory>
      <PkgGraphExplorer>
        <Caption Value="PkgGraphExplorer"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </PkgGraphExplorer>
      <EditorFileManager>
        <Caption Value="EditorFileManager"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </EditorFileManager>
      <IssueBrowser>
        <Caption Value="IssueBrowser"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </IssueBrowser>
      <JumpHistory>
        <Caption Value="JumpHistory"/>
        <WindowPlacement Value="RestoreWindowGeometry"/>
        <WindowState Value="Normal"/>
      </JumpHistory>
      <Dialogs Count="20">
        <Dialog1>
          <Name Value="TLazFindInFilesDialog"/>
          <Size Width="461" Height="437"/>
        </Dialog1>
        <Dialog2>
          <Name Value="TLazFindReplaceDialog"/>
          <Size Width="487" Height="367"/>
        </Dialog2>
        <Dialog3>
          <Name Value="TFindRenameIdentifierDialog"/>
          <Size Width="460" Height="540"/>
        </Dialog3>
        <Dialog4>
          <Name Value="TInstallPkgSetDialog"/>
          <Size Width="607" Height="578"/>
        </Dialog4>
        <Dialog5>
          <Name Value="TViewUnitDialog"/>
          <Size Width="450" Height="359"/>
        </Dialog5>
        <Dialog6>
          <Name Value="TIDEOptionsDialog"/>
          <Size Width="800" Height="574"/>
        </Dialog6>
        <Dialog7>
          <Name Value="TOpenLoadedPackagesDlg"/>
          <Size Width="450" Height="450"/>
        </Dialog7>
        <Dialog8>
          <Name Value="TNewOtherDialog"/>
          <Size Width="570" Height="400"/>
        </Dialog8>
        <Dialog9>
          <Name Value="TIDEFPCInfoDialog"/>
          <Size Width="704" Height="450"/>
        </Dialog9>
        <Dialog10>
          <Name Value="TExampleManagerForm"/>
          <Size Width="870" Height="495"/>
        </Dialog10>
        <Dialog11>
          <Name Value="TCheckLFMDialog"/>
          <Size Width="600" Height="400"/>
        </Dialog11>
        <Dialog12>
          <Name Value="TCleanDirectoryDialog"/>
          <Size Width="396" Height="342"/>
        </Dialog12>
        <Dialog13>
          <Name Value="TAddToProjectDialog"/>
          <Size Width="500" Height="300"/>
        </Dialog13>
        <Dialog14>
          <Name Value="TConfigureBuildLazarusDlg"/>
          <Size Width="700" Height="530"/>
        </Dialog14>
        <Dialog15>
          <Name Value="TCodeTemplateDialog"/>
          <Size Width="600" Height="550"/>
        </Dialog15>
        <Dialog16>
          <Name Value="TCodeToolsDefinesEditor"/>
          <Size Width="500" Height="596"/>
        </Dialog16>
        <Dialog17>
          <Name Value="TChgEncodingDialog"/>
          <Size Width="683" Height="560"/>
        </Dialog17>
        <Dialog18>
          <Name Value="TAddToPackageDlg"/>
          <Size Width="604" Height="300"/>
        </Dialog18>
        <Dialog19>
          <Name Value="TAddDirToPkgDialog"/>
          <Size Width="454" Height="348"/>
        </Dialog19>
        <Dialog20>
          <Name Value="TCodeToolsDefinesDialog"/>
          <Size Width="675" Height="589"/>
        </Dialog20>
      </Dialogs>
      <CompletionWindowWidth Value="338"/>
      <CompletionWindowHeight Value="8"/>
      <IDECoolBarOptions>
        <Width Value="230"/>
      </IDECoolBarOptions>
      <EditorToolBarOptions Count="3">
        <Button1 Name="IDEMainMenu/Search/itmJumpings/itmJumpBack"/>
        <Button2 Name="IDEMainMenu/Search/itmJumpings/itmJumpForward"/>
        <Button3 Name="---------------"/>
      </EditorToolBarOptions>
    </Desktop2>
  </Desktops>
</CONFIG>
environmentoptions--2.xml (27,025 bytes)   

CudaText man

2015-09-08 15:49

reporter   ~0085794

yes, still here. I put XML from another PC. Other desktops. same er on changing desktop via tool btn...

Ondrej Pokorny

2015-09-08 22:25

developer   ~0085806

Alexey, please report always relevant information. Is the "ATSynedit demo" project a relevant information? Does it happen only when "ATSynedit demo" is opened or with other projects too? Do you have a backtrace?

Although I cannot reproduce your bug, probably Juha either, thanks to the backtrace from patspiper in the mailing list, I could have imagined what's going on.

Please check the included patch "change-desktops-AV-1" and let us know if it solves your issue.

Ondrej Pokorny

2015-09-08 22:26

developer  

change-desktops-AV-1.patch (1,665 bytes)   
Index: ide/desktopmanager.pas
===================================================================
--- ide/desktopmanager.pas	(revision 49788)
+++ ide/desktopmanager.pas	(working copy)
@@ -6,7 +6,7 @@
 
 uses
   Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
-  Buttons, ButtonPanel, IDEImagesIntf,
+  Buttons, ButtonPanel, IDEImagesIntf, ExtCtrls,
   LCLType, LazarusIDEStrConsts, LCLProc, EnvironmentOpts,
   IDEWindowIntf, IDEOptionsIntf, IDEOptionDefs, Laz2_XMLCfg, InputHistory,
   MenuIntf, Menus, ComCtrls;
@@ -72,6 +72,11 @@
     procedure DoOnAdded; override;
   end;
 
+  TChangeDesktopTimer = class(TTimer)
+  public
+    DesktopName: string;
+  end;
+
 function ShowDesktopManagerDlg: TModalResult;
 function SaveCurrentDesktop(const aDesktopName: string; const aShowOverwriteDialog: Boolean): Boolean;
 
@@ -146,8 +151,21 @@
 var
   xDesktopName: string;
   xDesktop: TDesktopOpt;
+  xTimer: TChangeDesktopTimer;
 begin
-  xDesktopName := (Sender as TShowDesktopItem).DesktopName;
+  if (Sender is TShowDesktopItem) then
+  begin
+    xTimer := TChangeDesktopTimer.Create(Application);
+    xTimer.Interval := 100;
+    xTimer.OnTimer := @ChangeDesktop;
+    xTimer.DesktopName := (Sender as TShowDesktopItem).DesktopName;
+    xTimer.Enabled := True;
+    Exit;
+  end else
+  if not(Sender is TChangeDesktopTimer) then
+    Exit;
+
+  xDesktopName := (Sender as TChangeDesktopTimer).DesktopName;
   if xDesktopName = '' then
     Exit;
 
@@ -162,6 +180,7 @@
   end;
 
   EnvironmentOptions.UseDesktop(xDesktop);
+  Sender.Free;//free TChangeDesktopTimer object
 end;
 
 procedure TShowDesktopsToolButton.DoOnAdded;
change-desktops-AV-1.patch (1,665 bytes)   

CudaText man

2015-09-09 10:07

reporter   ~0085817

Sorry i cannot see staktrace and didn't post it.Yes patch OK: i see No er now. Good

Issue History

Date Modified Username Field Change
2015-09-02 15:23 CudaText man New Issue
2015-09-02 15:26 CudaText man File Added: environmentoptions.xml
2015-09-02 15:27 CudaText man Note Added: 0085672
2015-09-03 09:07 Juha Manninen Assigned To => Juha Manninen
2015-09-03 09:07 Juha Manninen Status new => assigned
2015-09-07 15:26 Ondrej Pokorny Note Added: 0085767
2015-09-08 15:06 Juha Manninen LazTarget => -
2015-09-08 15:06 Juha Manninen Note Added: 0085791
2015-09-08 15:06 Juha Manninen Status assigned => feedback
2015-09-08 15:48 CudaText man File Added: environmentoptions--2.xml
2015-09-08 15:49 CudaText man Note Added: 0085794
2015-09-08 15:49 CudaText man Status feedback => assigned
2015-09-08 22:25 Ondrej Pokorny Note Added: 0085806
2015-09-08 22:26 Ondrej Pokorny File Added: change-desktops-AV-1.patch
2015-09-09 09:25 Juha Manninen Fixed in Revision => r49793
2015-09-09 09:25 Juha Manninen Status assigned => resolved
2015-09-09 09:25 Juha Manninen Resolution open => fixed
2015-09-09 10:07 CudaText man Note Added: 0085817